Page MenuHomePhabricator

Set Western Arabic numeral by default in Arabic projects
Open, Needs TriagePublic

Description

This task is a split in 3 tasks of a major task T115561 .

Approval :
We voted in Arabic Wikipedia for the exclusive use of Western Arabic numerals (WAN) (0, 1, 2 ) instead of allowing the use of Eastern Arabic numerals (EAN) (٠‎ - ١‎ - ٢) when editing.
21 for / none against
https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%B3%D9%8A%D8%A7%D8%B3%D8%A7%D8%AA/10/2015

And the related policy have been updated
https://ar.wikipedia.org/w/index.php?title=%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7%3A%D8%AF%D9%84%D9%8A%D9%84_%D8%A7%D9%84%D8%A3%D8%B3%D9%84%D9%88%D8%A8&type=revision&diff=17231844&oldid=16952006

Task :

Each time we see a new project in Arabic or a major update, we face the same problem : Eastern Arabic numerals are used automaticcaly (see for example the date in the page in Arabic wikipedia https://ar.wikipedia.org/w/index.php?title=%D8%A7%D9%84%D9%85%D8%A8%D8%B9%D9%84_%28%D9%8A%D8%A7%D9%81%D8%B9%29&action=history). So we ask for a change manually. It was the case, for example, in Wikiversity (T31796) and it seems that we are facing the same problem in Wikidata (see the Arabic version of the project https://www.wikidata.org/wiki/Wikidata:%D8%A7%D9%84%D8%B5%D9%81%D8%AD%D8%A9_%D8%A7%D9%84%D8%B1%D8%A6%D9%8A%D8%B3%D9%8A%D8%A9). Please try to fix the problem from the source and for the existent and future Arabic projects by setting Western numbers by default for all Arbuc projects using Mediawiki.

Thank you.

Event Timeline

Helmoony created this task.Oct 30 2015, 3:00 PM
Helmoony raised the priority of this task from to Needs Triage.
Helmoony updated the task description. (Show Details)
Helmoony added a subscriber: Helmoony.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 3:00 PM
Meno25 added a subscriber: Meno25.Oct 31 2015, 9:25 AM

something new ?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 20 2015, 12:26 AM

something new ?

If there were news they were listed here. This task is in under "MediaWiki-Internationalization (Backlog)" and not prioritized. Anybody is welcome to provide patches to speed up fixing.

FShbib added a subscriber: FShbib.Mar 26 2016, 1:02 PM

Would this change be applicable to all MediaWiki installs or just those hosted by Wikimedia Foundation? Currently the description indicates latter but the tag indicates former. Please clarify.

Hi @Nikerabbit, it's better, I think, to apply it to all MediaWiki installs. It's a general problem not only related to WF.

@Nikerabbit Can you fix the problem right now?

Nemo_bis changed the task status from Duplicate to Resolved.Nov 30 2016, 1:52 PM

This one was already fixed, as far as I can see from the current configuration:

'wgTranslateNumerals' => [
	'default' => true,

	'arwiki' => false,
	'arwikibooks' => false, // T5442 -ævar
	'arwikiquote' => false,
	'arwiktionary' => false, // T35758
	'arwikisource' => false,
	'arwikiversity' => false,
	'arwikinews' => false,

@Nemo_bis Thank you for your reply. For the multilingual projects, the problem is still persistent. take a look for example at the recent changes in these projects and select Arabic as a reading language, you are going to see the Indian numbers.
https://incubator.wikimedia.org/wiki/Special:RecentChanges
https://species.wikimedia.org/wiki/Special:RecentChanges
https://meta.wikimedia.org/wiki/Special:RecentChanges
https://www.mediawiki.org/wiki/Special:RecentChanges
https://www.wikidata.org/wiki/Special:RecentChanges
https://commons.wikimedia.org/wiki/Special:RecentChanges

Helmoony reopened this task as Open.Jul 18 2018, 12:49 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJul 18 2018, 12:49 PM

@ The problem is still existing. Probably to fix it we need probably to contact W3C as per below :

his specification does not define what user interface user agents are to use; user agent vendors are encouraged to consider what would best serve their users' needs. For example, a user agent in Persian or Arabic markets might support Persian and Arabic numeric input (converting it to the format required for submission as described above). Similarly, a user agent designed for Romans might display the value in Roman numerals rather than in decimal; or (more realistically) a user agent designed for the French market might display the value with apostrophes between thousands and commas before the decimals, and allow the user to enter a value in that manner, internally converting it to the submission format described above.

W3C

https://html.spec.whatwg.org/multipage/input.html#number-state-(type%3Dnumber)

I sat with Helmoony during the hackathon. It looks like input fields with type=number, and lang="ar" automaticlly gets eastern numbering. I couldn't find an easy CSS way to override it. (only setting lang="en" which is not a good solution for sure...)

So either we should find a CSS way to work it out or we should create upstream request to W3C to add such option.

Hi @Amire80 , as discussed recently with you and @eranroz, here is the task about changing Arabic numbers for Arabic language. If you know someone in W3C, please ask them to:

  1. Offer the possibility for websites developpers/browsers to select the kind of numbers to use on their platform.
  2. If it’s possible, set up western Arabic numbers as the default ones.

Thank you

See this also as a possible way to fix the bug later on MediaWiki

(bug 16469) Override Eastern Arabic numberals, use Western Arabic numerals
https://phabricator.wikimedia.org/rSVN44929